<?php  
	include "conexion.php";
	include "insertar_log.php";

	$secuencia = $_GET['secuencia'];
	$id_aplicacion = $_GET['id_aplicacion'];
	//$secuencia = "714";
	$id_factura=0;

	$control =0;
	$cont=1;
	$estado=0;

	$datos = " Inicia peticion obtener factura comando--- ".$secuencia;	
		insertarLog($datos,$id_aplicacion);

	$sql = "SELECT ";
	$sql .="estado ";
	$sql .="from ";
	$sql .="comandos ";
	$sql .="where ";
	$sql .="id_aplicacion= ".$id_aplicacion." and ";
	$sql .="id_secuencia= ".$secuencia." ";

	$resultado = $conexion->query($sql);

    if(!$resultado) 
    {
    	$datos = " Error al consultar comando--- ".$secuencia;	
		insertarLog($datos,$id_aplicacion);
        echo response(1,"Error al consultar comando","Error al consultar comando");
        return;
    }
	
    while ($row=$resultado->fetch_assoc())
    {
    	$estado = $row['estado'];
    }

    $resultado->free();
	    

	if($estado!=2) 
    {
    	$datos = " Estado comando ".$estado."--- ".$secuencia;	
		insertarLog($datos,$id_aplicacion);
        echo response(1,"estado comando ".$estado,"estado comando ".$estado);
        return;
    }

	$sql = "SELECT ";
	$sql .="id_equipo_clase, ";
	$sql .="id_equipo, ";
	$sql .="id_comando, ";
	$sql .="res_dato, ";
	$sql .="estado ";
	$sql .="from ";
	$sql .="comandos ";
	$sql .="where ";
	$sql .="id_aplicacion= ".$id_aplicacion." and ";
	$sql .="id_secuencia= ".$secuencia." ";
	//$sql .="estado = 2 ";

	$resultado = $conexion->query($sql);

    if(!$resultado) 
    {
    	$datos = " Error al consultar comando ".$estado."--- ".$secuencia;	
		insertarLog($datos,$id_aplicacion);
        echo response(2,"Error al consultar comando","");
        return;
    }
	
    while ($row=$resultado->fetch_assoc())
    {
    	$_id_equipo_clase = $row['id_equipo_clase'];
        $_id_equipo = $row['id_equipo'];
        $_id_comando = $row['id_comando'];
        $_dato = $row['res_dato'];
        $estado = $row['estado'];
        $control = 1;
    }

    $resultado->free();

    if($control==0)
    {
    	$datos = " No existe comando ".$estado."--- ".$secuencia;	
		insertarLog($datos,$id_aplicacion);
    	echo response(2,"No existe","");
        return;

    }

    if($control==1)
    {
    	if($estado==0||$estado==1)
    	{
    		$datos = " En proceso comando --- ".$secuencia;	
			insertarLog($datos,$id_aplicacion);
    		echo response(1,"En proceso","");
        	return;
    	}
    	
    	$sql = "delete from ";
	    $sql .= "gaslight.comandos ";
	    $sql .= "where ";
	    $sql .= "id_aplicacion = ".$id_aplicacion." and ";
	    $sql .= "id_secuencia = ".$secuencia." ";

	     $resultado = $conexion->query($sql); 

	    if($resultado == false)
	    {
	    	$datos = " Error al eliminar comando --- ".$secuencia;	
			insertarLog($datos,$id_aplicacion);
	        echo response(1,"Error al eliminar comando","Error al eliminar comando");
	        return;
	    }
	    $datos = " Se elimino el comando--- ".$secuencia;	
			insertarLog($datos,$id_aplicacion);

	    $arreglo = explode("|", $_dato);

	    if($arreglo[0]==0)
	    {
	    	$id_factura = $arreglo[1];
	    }
	    else
	    {
	    	 $datos = " Error codigo ".$arreglo[0]."--- ".$secuencia;	
			insertarLog($datos,$id_aplicacion);
	    	echo response(1,"Error codigo ".$arreglo[0],$arreglo[0]);
	        return;
	    }

	    

    }

    if($id_factura==0)
    {
    	$datos = " Error no existe factura--- ".$secuencia;	
			insertarLog($datos,$id_aplicacion);
    	echo response(1,"Error no existe factura","");
	    return;

    }


	$datos = " OK id_factura=".$id_factura."--- ".$secuencia;	
			insertarLog($datos,$id_aplicacion);

	echo response(0,"OK",$id_factura);	
	return;


	function response($estatus,$estatus_mensaje,$respuesta){
		header("HTTP/1.1".$estatus);

		$response["estatus"]=$estatus;
		$response["estatus_mensaje"]=$estatus_mensaje;
		$response["respuesta"]=$respuesta;
		
		$json_response = json_encode($response, JSON_UNESCAPED_UNICODE);

		echo $json_response;

	}
?>